Subject: bug#58406: 29.0.50; Bars refactoring?

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Oct 2022 14:24:38 +0300

> From: Po Lu <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 10 Oct 2022 18:05:08 +0800
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> Cc: [email-masked]
> >> Date: Mon, 10 Oct 2022 16:51:40 +0800
> >> From:  Po Lu via "Bug reports for GNU Emacs,
> >>  the Swiss army knife of text editors" <[email-masked]>
> >> 
> >> Most people do not use the bars, leading to many latent bugs.
> >> Examples: mouse face not being cleared when tooltips are enabled and
> >> the mouse moves outside the frame, last_tool_bar_item not being
> >> cleared in the same case, and last_tab_bar_item not being cleared,
> >> leading to mouse highlight not working after the mouse is released
> >> outside a frame.
> >
> > I do use the bars, and I don't think I see any of the above problems.
> > How would one notice them?
> 
> One of the problems (which was fixed earlier this summer) could be
> reproduced by holding Alt-TAB (or waiting for a focus to steal the
> focus) with the mouse held down on a tab or tool bar button.

I just tried that, and saw nothing suspicious.  What should I watch
for? what do you see in that case?